%define _libexecdir %_prefix/libexec
%define _localstatedir %_var

Name: mate-system-monitor
Version: 1.28.1
Release: alt1
Epoch: 1
Summary: Process and resource monitor
License: GPLv2+
Group: Graphical desktop/MATE
Url: http://mate-desktop.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: mate-common gcc-c++ libgtkmm3-devel libgtop-devel libpolkit-devel librsvg-devel libsystemd-devel libwnck3-devel libxml2-devel yelp-tools

%description
mate-system-monitor allows to graphically view and manipulate the running
processes on your system. It also provides an overview of available resources
such as CPU and memory.

%prep
%setup -q
%patch -p1
%ifarch %e2k
# workaround for EDG frontend
sed -i "s|g_autofree char \*|g_autofree_edg(char) |" src/sysinfo.cpp
sed -i "/g_autofree gchar/{s|g_autofree gchar|g_autofree_edg(gchar)|;s|\*||g}" src/load-graph.cpp
%endif

%build
%autoreconf
%configure \
	--disable-static \
	--disable-schemas-compile \
	--enable-systemd

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name --with-gnome --all-name

%files -f %name.lang
%doc AUTHORS NEWS COPYING README
%_bindir/%name
%_libexecdir/%name
%_datadir/polkit-1/actions/org.mate.mate-system-monitor.policy
%_datadir/metainfo/%name.appdata.xml
%_desktopdir/%name.desktop
%_datadir/pixmaps/%name
%_datadir/glib-2.0/schemas/org.mate.system-monitor.*.xml
%_man1dir/*.1*

%changelog
* Tue Feb 27 2024 Valery Inozemtsev <shrek@altlinux.ru> 1:1.28.1-alt1
- 1.28.1

* Mon Nov 21 2022 Valery Inozemtsev <shrek@altlinux.ru> 1:1.26.0-alt4
- updated translate

* Mon Nov 21 2022 Valery Inozemtsev <shrek@altlinux.ru> 1:1.26.0-alt3
- fixed translate desktop file

* Thu Sep 16 2021 Ilya Kurdyukov <ilyakurdyukov@altlinux.org> 1:1.26.0-alt2
- Fixes for Elbrus build.

* Tue Aug 10 2021 Valery Inozemtsev <shrek@altlinux.ru> 1:1.26.0-alt1
- 1.26.0

* Mon Aug 24 2020 Valery Inozemtsev <shrek@altlinux.ru> 1:1.24.1-alt1
- 1.24.1

* Thu Mar 19 2020 Valery Inozemtsev <shrek@altlinux.ru> 1:1.24.0-alt1
- 1.24.0

* Wed Oct 16 2019 Valery Inozemtsev <shrek@altlinux.ru> 1:1.22.2-alt1
- 1.22.2

* Thu Apr 25 2019 Valery Inozemtsev <shrek@altlinux.ru> 1:1.22.1-alt1
- 1.22.1

* Wed Mar 06 2019 Valery Inozemtsev <shrek@altlinux.ru> 1:1.22.0-alt1
- 1.22.0

* Wed Dec 26 2018 Valery Inozemtsev <shrek@altlinux.ru> 1:1.20.2-alt1
- 1.20.2

* Thu Mar 15 2018 Valery Inozemtsev <shrek@altlinux.ru> 1:1.20.0-alt1
- initial build from git.mate-desktop.org

* Thu Feb 22 2018 Vladimir D. Seleznev <vseleznv@altlinux.org> 1.20.0-alt1_1
- new fc release
